
Name:       kcalc
Summary:    KDE Calculator
Version:    17.12.3
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GPLD
URL:         http://utils.kde.org/projects/kcalc
Source0:    http://download.kde.org/stable/%{version}/src/%name-%{version}.tar.xz
Patch100: kcalc-4.9.90-misc.patch
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5concurrent-devel

BuildRequires: kf5-macros
BuildRequires: kconfig-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: knotifications-devel
BuildRequires: kxmlgui-devel

BuildRequires: gmp-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description
KCalc is a calculator which offers many more mathematical functions
than meet the eye on a first glance. Please study the section on
keyboard accelerators and modes in the handbook to learn more about
the many functions available.

%files
%_kf5_bindir/kcalc
%_kf5_datadir/kcalc
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/config.kcfg/kcalc.kcfg
%_kf5_libdir/libkdeinit5_kcalc.so
%_kf5_datadir/kconf_update/kcalcrc.upd
%_kf5_datadir/kxmlgui5/kcalc
%_kf5_datadir/metainfo/org.kde.kcalc.appdata.xml
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package -n kcalc-handbook
Summary: kcalc Handbook
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n kcalc-handbook
This package provides Kcalc Handbook.

%files -n kcalc-handbook
%doc COPYING COPYING.LIB README TODO
%docdir %_kf5_docdir/
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Fri Dec 16 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update


